package com.anpgames.classes;

import org.apache.log4j.Logger;

public class LogService {

	public static enum LogType {
		TRACE,
		DEBUG,
		INFO,
		WARN,
		ERROR,
		FATAL
	}
	
	public static void writeToLog(LogType type, String message){
		Logger logger = Logger.getLogger("JSFLog");
		switch (type){
		case TRACE:
			logger.trace(message);
			break;
		case DEBUG:
			logger.debug(message);
			break;
		case INFO:
			logger.info(message);
			break;
		case WARN:
			logger.info(message);
			break;
		case ERROR:
			logger.error(message);
			break;
		case FATAL:
			logger.fatal(message);
			break;
		}
	}
}
