--uzytkownicy
insert into app_users(user_id, login, password) values (1, 'witek', '9CFD69C81EF51FD8FA107F6F760228D83A683D88');
insert into app_users(user_id, login, password) values (2, 'boniek', 'F77FBD3463174FF64687170F49A3BFBBC544DAB3');
insert into app_users(user_id, login, password) values (3, 'asd', 'F10E2821BBBEA527EA02200352313BC059445190');
insert into app_users(user_id, login, password) values (4, 'qwe', '056EAFE7CF52220DE2DF36845B8ED170C67E23E3');

--grupy uzytkownikow
insert into app_groups(group_id, group_name, creation_date, last_update_date) values (1, 'users', CURRENT_DATE, CURRENT_DATE);
insert into app_groups(group_id, group_name, creation_date, last_update_date) values (2, 'admins', CURRENT_DATE, CURRENT_DATE);
insert into app_groups(group_id, group_name, creation_date, last_update_date) values (3, 'admins_plus', CURRENT_DATE, CURRENT_DATE);

--dodawanie uzytkownikow do grup
insert into app_users_groups(group_id, user_id) values (1,2);
insert into app_users_groups(group_id, user_id) values (1,3);
insert into app_users_groups(group_id, user_id) values (2,1);
insert into app_users_groups(group_id, user_id) values (3,4);

--konteksty aplikacji
insert into app_contexts(context_id, context_name) values (1, 'GLOBAL');
insert into app_contexts(context_id, context_name) values (2, 'GENERAL');
insert into app_contexts(context_id, context_name) values (3, 'ADMIN');
insert into app_contexts(context_id, context_name) values (4, 'REPORT');

--upraweniania
insert into acl_permissions(permission_id, permission_number, permission_name, context_id, creation_date, last_update_date) values (1, 1000, 'modul administracyjny', 3, CURRENT_DATE, CURRENT_DATE);
insert into acl_permissions(permission_id, permission_number, permission_name, context_id, creation_date, last_update_date) values (2, 2000, 'modul raportowania', 4, CURRENT_DATE, CURRENT_DATE);
insert into acl_permissions(permission_id, permission_number, permission_name, context_id, creation_date, last_update_date) values (3, 1010, 'lista uzytkowników', 3, CURRENT_DATE, CURRENT_DATE);
insert into acl_permissions(permission_id, permission_number, permission_name, context_id, creation_date, last_update_date) values (4, 1020, 'edycja użytkowników', 3, CURRENT_DATE, CURRENT_DATE);
insert into acl_permissions(permission_id, permission_number, permission_name, context_id, creation_date, last_update_date) values (5, 1110, 'lista rol', 3, CURRENT_DATE, CURRENT_DATE);
insert into acl_permissions(permission_id, permission_number, permission_name, context_id, creation_date, last_update_date) values (6, 1120, 'edycja rol', 3, CURRENT_DATE, CURRENT_DATE);

--role uzytkownikow
insert into acl_roles(role_id, role_name, creation_date, last_update_date) values (1, 'user', CURRENT_DATE, CURRENT_DATE);
insert into acl_roles(role_id, role_name, creation_date, last_update_date) values (2, 'admin', CURRENT_DATE, CURRENT_DATE);
insert into acl_roles(role_id, role_name, creation_date, last_update_date) values (3, 'admin_plus', CURRENT_DATE, CURRENT_DATE);

--przypisanie uprawnien do rol
insert into acl_roles_permissions(role_id, permission_id) values (1, 2);
insert into acl_roles_permissions(role_id, permission_id) values (2, 1);
insert into acl_roles_permissions(role_id, permission_id) values (3, 1);
insert into acl_roles_permissions(role_id, permission_id) values (3, 2);
insert into acl_roles_permissions(role_id, permission_id) values (3, 3);
insert into acl_roles_permissions(role_id, permission_id) values (3, 4);
insert into acl_roles_permissions(role_id, permission_id) values (3, 5);
insert into acl_roles_permissions(role_id, permission_id) values (3, 6);

--przypisywanie rol do grup uzytkownikow
insert into acl_groups_roles(group_id, role_id) values (1, 1);
insert into acl_groups_roles(group_id, role_id) values (2, 2);
insert into acl_groups_roles(group_id, role_id) values (3, 3);
