package com.anpgames.classes;

import com.anpgames.beans.application.MessagesSupportMB;
import com.anpgames.beans.application.MessagesSupportMB.MsgType;
import com.anpgames.interfaces.ResponseMessaging;

/**
 * Klasa implementująca różne interfejsy i implementująca ich metody.
 * Wprowadzona ze względu na częste wykorzystywanie tych samych pól i metod
 * w komponentach zarządzanych (ManagedBeans).
 * @author Paweł Łodej
 * @author 1.0
 *
 */
public class MBSupportClass implements ResponseMessaging{
	private String respMsg;
	private String respMsgCSSClass;

	public String getRespMsg() {
		return respMsg;
	}

	public void setRespMsg(String msg) {
		this.respMsg = msg;
	}

	public String getRespMsgCSSClass() {
		return respMsgCSSClass;
	}

	
	public void setRespMsgCSSClass(MsgType msgType) {
		respMsgCSSClass = MessagesSupportMB.getMessageCSSClass(msgType);
	}
	
	

}
